package cn.axzo.msg.center.inside.notices.service.umeng.android;

import cn.axzo.msg.center.inside.notices.service.umeng.AndroidNotification;
import org.json.JSONObject;


public class AndroidGroupcast extends AndroidNotification {

  public AndroidGroupcast(String appkey, String CmpAndroidSecret) throws Exception {
    setCmpAndroidSecret(CmpAndroidSecret);
    setPredefinedKeyValue("appkey", appkey);
    this.setPredefinedKeyValue("type", "groupcast");
  }

  public void setFilter(JSONObject filter) throws Exception {
    setPredefinedKeyValue("filter", filter);
  }
}
